Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Unique identifier

Example:

"RiHO4e0Ju3DS"

Query Parameters

properties
enum<string>[]

Select the workspace properties that should be returned

Available options:
accountId,
name,
workspaceUrl,
templateId,
startDate,
targetEndDate,
actualEndDate,
projectAge,
taskProgress,
lastContactView,
totalViews,
totalActions,
totalTimeSpent,
contactsCount,
account.name,
account.website,
account.ownerId,
account.logo,
account.salesforceAccountId,
account.hubspotCompanyId,
account.createdAt,
account.updatedAt,
customFields.name,
customFields.type,
customFields.variableName,
customFields.value,
workspaceDomains.domain,
workspaceDomains.role,
workspaceDomains.createdAt,
workspaceDomains.updatedAt,
workspaceUsers.role,
workspaceUsers.createdAt,
workspaceUsers.updatedAt,
workspaceUsers.user.firstName,
workspaceUsers.user.lastName,
workspaceUsers.user.avatar,
workspaceUsers.user.email,
workspaceUsers.user.name,
workspaceUsers.user.createdAt,
workspaceUsers.user.updatedAt,
deal.name,
deal.amount,
deal.closeDate,
deal.createdDate,
deal.type,
deal.stage,
deal.hubspotDealId,
deal.salesforceOpportunityId

Body

application/json
workspaceId
string
required

ID of an existing workspace to connect

Example:

"PkT2mVq81xLc"

templateId
string

ID of the template to create the connected workspace from

Example:

"TmPl4t3Id001"

name
string

Name of the new workspace. Defaults to the template's workspace title. Only with templateId

Example:

"Acme Onboarding"

hubspotDealId
string

ID of the HubSpot deal to link the new workspace to. The deal must belong to the group account's HubSpot company. Only with templateId

Example:

"1234567890"

salesforceOpportunityId
string

ID of the Salesforce opportunity to link the new workspace to. The opportunity must belong to the group account's Salesforce account. Only with templateId

Example:

"0065g00000XyZabAAF"

startDate
string<date>

The start date of the new workspace in YYYY-MM-DD format. Only with templateId

Example:

"2026-10-06"

targetEndDate
string<date>

The target end date of the new workspace in YYYY-MM-DD format. Only with templateId

Example:

"2026-12-15"

actualEndDate
string<date>

The actual end date of the new workspace in YYYY-MM-DD format. Only with templateId

Example:

"2026-12-01"

workspaceUsers
object[]

Users of the new workspace, instead of the group's. At least one user or domain must have the owner role. Only with templateId

Example:
workspaceDomains
object[]

Domains of the new workspace, instead of the group's. Only with templateId

Example:

Response

The workspace was already connected; nothing changed

data
object